Skip to main content
PUT
Set a tool's write flag

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

tool_id
string<uuid>
required

The tool artifact's ID.

Body

application/json

An admin's write flag and sign-off for one tool.

write_override
boolean | null

Set the tool's write flag. A Global server's tools count as write tools until an admin sets this to false. Null clears it.

sign_off
boolean | null

true signs off a write tool for Global agents, false revokes a sign-off, null leaves it as it is.

Response

Successful Response

A tool's effective write flag and sign-off.

tool_artifact_id
string<uuid>
required
declared_write
boolean
required
write_override
boolean | null
required
write
boolean
required
signed_off_by
string | null
required
signed_off_at
string<date-time> | null
required